Bug 1047031 - fontpackages-devel macro %_font_pkg adds obsolete %defattr
Summary: fontpackages-devel macro %_font_pkg adds obsolete %defattr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fontpackages
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 14:58 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-06-07 16:06 UTC (History)
5 users (show)

Fixed In Version: fontpackages-1.44-12.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 16:14:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 909794 None None None Never

Internal Links: 909794

Description Zbigniew Jędrzejewski-Szmek 2013-12-28 14:58:22 UTC
Description of problem:

$ rpmbuild --eval %_font_pkg

%post -n -fonts  
if [ -x /usr/bin/fc-cache ]; then 
    /usr/bin/fc-cache /usr/share/fonts/%{name} || : 
fi 


%postun -n -fonts   
if [ $1 -eq 0 -a -x /usr/bin/fc-cache ] ; then 
    /usr/bin/fc-cache /usr/share/fonts/%{name} || : 
fi


%files -n -fonts  
%defattr(0644,root,root,0755) 

%dir /usr/share/fonts/%{name} 

This causes a warning from fedora-review and is against current policy.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed


Version-Release number of selected component (if applicable):
fontpackages-devel-1.44-9.fc20.noarch

Comment 1 Fedora End Of Life 2015-05-29 10:12:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-05-29 16:14:25 UTC
I pushed an update which removes all %defattrs to rawhide now.

Comment 3 Fedora Update System 2015-05-29 16:41:08 UTC
fontpackages-1.44-12.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fontpackages-1.44-12.fc22

Comment 4 Fedora Update System 2015-06-07 16:06:35 UTC
fontpackages-1.44-12.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.